- Qt 5.15
- Qt GUI
- C++ Classes
- TouchPoint
- Qt 5.15.19 Reference Documentation

# Obsolete Members for TouchPoint

The following members of class TouchPoint are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QRectF | rect() const
`(obsolete)` QRectF | sceneRect() const
`(obsolete)` QRectF | screenRect() const

## Member Function Documentation

### QRectF TouchPoint::rect() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated since 5.9 because it returns the outer bounds of the touchpoint regardless of rotation, whereas a touchpoint is more correctly modeled as an ellipse at position pos() with ellipseDiameters() which are independent of rotation().

### QRectF TouchPoint::sceneRect() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated since 5.9 because it returns the outer bounds of the touchpoint regardless of rotation, whereas a touchpoint is more correctly modeled as an ellipse at position scenePos() with ellipseDiameters() which are independent of rotation().

### QRectF TouchPoint::screenRect() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated since 5.9 because it returns the outer bounds of the touchpoint regardless of rotation, whereas a touchpoint is more correctly modeled as an ellipse at position screenPos() with ellipseDiameters() which are independent of rotation().